JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.server.memfs
Class MemoryFileSystem

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.server.memfs.MemoryFileSystem

public final class MemoryFileSystem
extends java.lang.Object

The core class for the MemoryFileSystem. This class provides a few static variables for public use, otherwise, it is for internal use only.

Field Summary
`static java.lang.String` `CLASS_GROUP_NAME` The expected name of the class group in the config file.
`static java.lang.String` `SYNC_FILE` The name of the file we'll back up the store too.
`static java.lang.String` `TEAM_NAME` The name of the team, needed when others are trying to access files.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLASS_GROUP_NAME

    public static final java.lang.String CLASS_GROUP_NAME

  The expected name of the class group in the config file.

### TEAM_NAME

    public static final java.lang.String TEAM_NAME

  The name of the team, needed when others are trying to access files.

### SYNC_FILE

    public static final java.lang.String SYNC_FILE

  The name of the file we'll back up the store too.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002